
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>services.data_movement.redshift_to_s3 module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-services.data_movement.redshift_to_s3">
<span id="services-data-movement-redshift-to-s3-module"></span><h1>services.data_movement.redshift_to_s3 module<a class="headerlink" href="#module-services.data_movement.redshift_to_s3" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="services.data_movement.redshift_to_s3.RedshiftToS3">
<em class="property">class </em><code class="sig-prename descclassname">services.data_movement.redshift_to_s3.</code><code class="sig-name descname">RedshiftToS3</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">rs_connector_id</em>, <em class="sig-param">s3_connector_id</em>, <em class="sig-param">source_schema: str</em>, <em class="sig-param">source_table: str</em>, <em class="sig-param">destination_bucket</em>, <em class="sig-param">destination_object</em>, <em class="sig-param">parallel=False</em>, <em class="sig-param">header=''</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_movement.redshift_to_s3.RedshiftToS3" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_movement.redshift_to_s3.RedshiftToS3.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_movement.redshift_to_s3.RedshiftToS3.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="services.data_movement.redshift_to_s3.RedshiftQueryExportToS3">
<em class="property">class </em><code class="sig-prename descclassname">services.data_movement.redshift_to_s3.</code><code class="sig-name descname">RedshiftQueryExportToS3</code><span class="sig-paren">(</span><em class="sig-param">session</em>, <em class="sig-param">rs_connector_id</em>, <em class="sig-param">s3_connector_id</em>, <em class="sig-param">query: str</em>, <em class="sig-param">destination_bucket</em>, <em class="sig-param">destination_object</em>, <em class="sig-param">fileprefix: str</em>, <em class="sig-param">parallel=False</em>, <em class="sig-param">header=''</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#services.data_movement.redshift_to_s3.RedshiftQueryExportToS3" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="services.html#services.Service" title="services.Service"><code class="xref py py-class docutils literal notranslate"><span class="pre">services.Service</span></code></a></p>
<dl class="method">
<dt id="services.data_movement.redshift_to_s3.RedshiftQueryExportToS3.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#services.data_movement.redshift_to_s3.RedshiftQueryExportToS3.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/services.data_movement.redshift_to_s3.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>